Skip to content
Permalink
Browse files

[docker] use SIP maintenance version 4.19.9

in order to get proper signal Docstring for PyQGIS doc
  • Loading branch information
3nids committed Mar 28, 2018
1 parent 721095e commit b1f8f6dbb53c9729438bb96ff345d68ce0391c09
Showing with 6 additions and 2 deletions.
  1. +6 −2 .docker/qgis3-build-deps.dockerfile
@@ -66,8 +66,6 @@ RUN apt-get update \
python3-pyqt5.qsci \
python3-pyqt5.qtsql \
python3-pyqt5.qtsvg \
python3-sip \
python3-sip-dev \
python3-termcolor \
python3-yaml \
qt3d5-dev \
@@ -99,6 +97,12 @@ RUN apt-get update \
&& apt-get autoremove -y python3-pip python2.7 \
&& apt-get clean

WORKDIR /root
RUN wget --no-verbose https://www.riverbankcomputing.com/static/Downloads/sip/sip-4.19.9.dev1803171438.tar.gz \
&& tar xzf sip-4.19.9.dev1803171438.tar.gz
WORKDIR /root/sip-4.19.9.dev1803171438
RUN python3 configure.py && make && make install

RUN echo "alias python=python3" >> ~/.bash_aliases

ENV CC=/usr/lib/ccache/clang

0 comments on commit b1f8f6d

Please sign in to comment.
You can’t perform that action at this time.